@keyframes slideIn { 
 0% { opacity: 0; transform: translateY(-50%) rotate(-90deg); top: 0; } 
100% { opacity: 1; transform: translateY(0) rotate(-90deg); top: 55%; } 
 }
@keyframes slideDown { 
 0% { opacity: 0; transform: rotate(-90deg); top: 100%; } 
100% { opacity: 1; transform: rotate(-90deg); top: 23%; } 
 }
@keyframes slideup { 
 0% { opacity: 0; transform: translateY(100%); } 
100% { opacity: 1; transform: translateY(0%); } 
 }


.swiper-slide-active .items__appear { left: 12.5%; animation: slideIn 1.5s ease-out forwards; opacity: 0; } 
.swiper-slide-active .line__news { animation: slideDown 1.5s ease-out forwards; opacity: 0; } 
.swiper-slide-active .owl-news { animation: slideup 1.5s ease-out forwards; opacity: 0; } 



.header { padding-top: 0.1px; background: transparent; } 
.menu__detail.fixed { background: #0000006e; } 

.swiper-container { width: 100%; height: 100vh; position: relative; } 
.slider { min-height: 50vh; } 
.swiper-slide { background: #ccc; overflow: hidden; position: relative; height: 100%; text-align: center; font-size: 18px; display: flex; justify-content: center; align-items: center; } 
.slide-inner { position: absolute; width: 100%; height: 100%; left: 0; top: 0; } 
.slide-inner img { position: absolute; width: 100%; height: 100%; object-fit: cover; left: 0; right: 0; } 
.swiper-pagination { display: flex; flex-direction: column; align-items: flex-end; position: absolute; right: 10px; bottom: 10px; z-index: 10; } 
.swiper-pagination .pagination-item { display: flex; justify-content: space-between; align-items: center; width: auto; padding: 5px 10px; cursor: pointer; transition: background-color 0.3s ease; } 
.swiper-pagination .pagination-item:hover,
.swiper-pagination .pagination-item.active { background-color: red; } 
.swiper-pagination .slide-name { margin-right: 10px; } 
.swiper-pagination .swiper-pagination-bullet { position: relative; margin-bottom: 50px !important; margin-top: 0 !important; } 
.swiper-pagination .swiper-pagination-bullet:last-child::after { content: none; } 
.swiper-pagination .swiper-pagination-bullet::after { position: absolute; content: ""; width: 1px; height: 50px; background: #ffffff75; left: 3px; bottom: -50px; } 
.swiper-pagination-bullet.swiper-pagination-bullet-active::after { background: #fff; } 
.swiper-pagination .swiper-pagination-bullet span { position: absolute; left: -50px; /* Đẩy span ra ngoài phạm vi hiển thị ban đầu */font-family: var(--font-extra); font-size: 12px; color: #fff; text-transform: uppercase; top: 5px; transform: translate(-50%, -50%); white-space: nowrap; opacity: 0; transition: left 0.3s ease, opacity 0.3s ease; } 
.swiper-pagination .swiper-pagination-bullet:hover span,
.swiper-pagination .swiper-pagination-bullet-active span { left: -50px; opacity: 1 !important; } 
.swiper-pagination-bullet.swiper-pagination-bullet-active { background: #fff !important; opacity: 1; } 
.swiper-pagination-bullet { background: #ffffff75 !important; opacity: 1 !important; } 
.swiper-pagination-progressbar { background: #e0e0e0; position: relative; height: 5px; width: 100%; } 
.swiper-pagination-progressbar-fill { background: #007aff; height: 100%; width: 0; } 

.swiper-slide-active.animate__fadeInUp { animation-duration: 0.8s; /* Thay đổi giá trị này để điều chỉnh tốc độ */ } 

/* SLIDE 1 */
.slideshow { display: unset !important; } 
.desc__aboutus { position: absolute; max-width: 725px; margin: auto; left: 0; right: 0; z-index: 1; color: #fff; top: 50%; text-align: left; } 
.line__after { position: relative; } 
.line__after::after { position: absolute; content: ""; width: 1px; height: 100%; background: #fff; left: 20%; top: 0; } 
.slick-prev, .slick-prev:hover { width: 45px; height: 74px; background: url(../images/set/prev.png) !important; left: 0; } 
.slick-next, .slick-next:hover { width: 45px; height: 74px; background: url(../images/set/next.png) !important; right: 0; } 
.slick-next::before, .slick-prev::before { content: none !important; } 
.slick-prev, .slick-next { top: 85% !important; } 
.count__slick { font-family: var(--font-bold); font-size: 18px; color: #fff; position: absolute; left: 0; right: 0; bottom: 60px; } 



/* .swiper-slide-active .section__relation .items__appear { left: 12.5%; animation: slideInv2 1.5s ease-out forwards; opacity: 0; } */


.items__appear { display: flex; align-items: center; position: absolute; } 
.items__appear span { font-family: var(--font-semi); font-size: 28px; color: #fff; text-transform: uppercase; } 
.items__appear .around { width: 22px; height: 22px; background: #DA2128; border-radius: 50%; margin-left: 10px; } 

/* SLIDE 2 */
.section__scale { margin-top: 100px; } 
.owl-scale .owl-stage-outer { padding: 10px 0; } 
.owl-scale .owl-stage { position: relative; z-index: 1; } 
.owl-scale .owl-stage::after { position: absolute; content: ""; background: #fff; width: 100%; height: 1px; left: 0; right: 0; top: 50%; z-index: -1; } 
.carroll__scale{position: relative;z-index: 1;}
.around_scale{position: absolute;width: 22px;height: 22px;content: "";background: #941010;border-radius: 50%;top: 46%;left: var(--rest-vw);z-index: 2;}
.carroll__scale::after{position: absolute;content: "";background: #fff;opacity: 0.3;height: 1px;width:  var(--rest-vw);left: 0;top: 50%;z-index: 1;}
.carroll__scale::before{position: absolute;content: "";background: #fff;opacity: 0.3;height: 1px;width:  var(--rest-vw);right: 0;top: 50%;z-index: 1;}
.items__Scale { position: relative; z-index: 1; width: 270px; height: 270px; margin: auto; text-align: center; border-radius: 50%; border: 1px solid #FFF; box-shadow: 0px 0px 10px 2px #FFF; display: flex; justify-content: center; align-items: center; flex-direction: column; } 
.items__Scale::after {position: absolute;content: "";background: #fff;    opacity: 0.3;height: 1px;width: 60%;left: -60%;top: 50%;z-index: -1;}
.items__Scale .name__scale { font-family: var(--font-semi); font-size: 17px; line-height: 25px; color: #fff; text-align: center; max-width: 130px; } 
.items__Scale .desc__scale  a{ font-family: var(--font-extra-bold); font-size: 70px; color: #DA2128; } 
.line__Scale { width: 110px; height: 1px; background: #fff; } 
.info__copany { margin-bottom: 50px; margin-right: 140px; } 

.inner__scroll { max-width: 860px; margin: 0 0 0 auto; overflow: hidden; } 
.inner__scroll .marquee { display: block; font-family: var(--font-bold); font-size: 100px; letter-spacing: -8.4px; text-transform: uppercase; opacity: 0.1; color: #fff; } 
.marquee { position: relative; width: 100%; height: 145px; transform-origin: 50% 100%; transition: transform 0.25s; margin-top: 10px; } 
.marquee .inner { position: absolute; top: 0; left: 0; display: flex; align-items: flex-end; white-space: nowrap; } 
.marquee .inner>* { padding: 0 2rem; } 

/* SLIDE 3 */
.main__relation { width: 1035px; margin: auto; } 
.main__relation .col__left { width: calc(100% - 425px); } 
.main__relation .col__right { width: 410px } 
.items__relation { margin-bottom: 15px; } 
/* .items__relation:last-child { margin-bottom: 0; } */
.name__relation { font-family: var(--font-semi); font-size: 18px; color: #fff; line-height: 30px; max-height: 60px; -webkit-line-clamp: 1;} 
.desc__relation { font-family: var(--font-regular); font-size: 12px; color: #fff; margin-top: 5px; } 
.numb__relation { width: 64px; display: flex; } 
.numb__relation .around { width: 60px; height: 60px; border-radius: 50%; background: #DA2128; } 
.numb__relation span { font-family: var(--font-bold); font-size: 36px; color: #fff; margin-left: -45px; margin-top: 15px; } 
.info__relation { width: calc(100% - 80px); text-align: left; margin-top: 20px; } 
.image__relation { position: relative; display: flex; justify-content: center; align-items: center;height: 610px; } 
.image__relation .title { z-index: 2; position: absolute; left: 0; right: 0; max-width: 235px; margin: auto; font-family: var(--font-medium); color: #FFF; text-align: center; font-size: 60px; line-height: 70px; letter-spacing: -2.4px; text-transform: uppercase; } 

.image__relation::after{position: absolute;content: '';top: 0;left: 0;right: 0;bottom: 0;background: linear-gradient(90deg,rgba(87, 8, 22, 0.85) 0%, rgba(87, 8, 22, 0.85) 50%, transparent 50%, transparent 100%);border-radius: 50%;}

.animate__Right { opacity: 0; transform: translateX(100%); } 
.animate__Right:nth-child(1) { transition: opacity 1s ease-out, transform 1s ease-out; } 
.animate__Right:nth-child(2) { transition: opacity 1.5s ease-out, transform 1.5s ease-out; } 
.animate__Right:nth-child(3) { transition: opacity 2s ease-out, transform 2s ease-out; } 
.animate__Right:nth-child(4) { transition: opacity 2.5s ease-out, transform 2.5s ease-out; } 
.swiper-slide-active .animate__Right { opacity: 1; transform: translateX(0); } 
.animate__Right__v2 { opacity: 0; transform: translateX(60%); } 
.swiper-slide-active .animate__Right__v2 { opacity: 1; transform: translateX(0); transition: opacity 1s ease-out, transform 1s ease-out; } 


/*SLIDE 3 */
.owl-project{margin-top: 150px;}
.owl-project .second .image__project { text-align: left !important; } 
.owl-project .center .image__project { text-align: center !important; } 
.numb__project { margin-top: 12px; } 
.numb__project span { font-family: var(--font-semi); font-size: 90px; line-height: 46px; letter-spacing: -4.5px; opacity: 0.3; color: #fff; } 
.owl-project .col__left { width: 90px; } 
.owl-project .col__center { width: 450px; margin-left: 36px; } 
.owl-project .col__right { margin: 0 0 0 auto; } 
.owl-project .col__center .title { font-family: var(--font-semi); font-size: 24px; color: #fff; text-transform: uppercase; } 
.owl-project .col__center .name__project a { font-family: var(--font-semi); font-size: 37px; color: #DA2128; text-transform: uppercase; letter-spacing: -2px; line-height: normal; } 
.owl-project .col__center .name__project { -webkit-line-clamp: 2; margin-left: -5px; } 
.owl-project .col__center .desc__project { font-family: var(--font-regular); font-size: 12px; color: #005BB0; line-height: 18px; margin-top: 5px; } 
.col__right .readmore { width: 123px; height: 50px; line-height: 45px; background: url(../images/set/readmore.png) no-repeat; background-size: 100% 100%; text-align: center; } 
.col__right .readmore a { font-family: var(--font-semi); font-size: 13px; color: #000; padding-left: 5px; } 
.info__project { padding: 20px 0; } 
.owl-project .owl-stage-outer { overflow: unset; } 
.owl-item.first img { opacity: 1 !important; } 
.image__project a { display: inline-block; position: relative; } 
.image__project a::after { position: absolute; content: ""; width: 0.5px; height: 300%; background: #fff; left: 0; top: -100%; opacity: 0.3; } 
.owl-item.first .col__center, .owl-item.first .col__right { opacity: 1 !important; } 
.second .image__project img { opacity: 0.5; } 
.owl-item .col__center, .owl-item .col__right { opacity: 0; } 
.owl-project .owl-item .image__project img { opacity: 0.5; } 
.owl-project .owl-stage { padding-left: 160px !important; } 




/* SLIDE 4 */
.section__news .wrap-content { position: relative; } 
.line__news { font-family: var(--font-bold); color: #DA2128; font-size: 16px; text-transform: uppercase; transform: rotate(-90deg); position: absolute; left: -60px; top: 0; } 
.image__news__static{width: calc(100% - 830px);}
.main__news { max-width: 830px; margin: auto; } 
.name__news { -webkit-line-clamp: 2; text-align: left; margin-top: 10px; } 
.name__news a { font-family: var(--font-semi); color: #fff; font-size: 15px; line-height: 20px; } 
.desc__news { margin: 10px 0; color: #FFF; font-family: var(--font-regular); font-size: 12px; line-height: 24px; letter-spacing: -0.48px; text-align: left; } 
.read__more { background: url(../images/set/btn-news.png) no-repeat; background-size: 100% 100%; width: 116px; height: 42px; line-height: 42px; margin: 0 auto 0 0; } 
.read__more a { color: #000; font-family: var(--font-semi); font-size: 13px; margin-left: -15px; } 
.read__more a:hover { color: #DA2128; } 
.time__news { text-align: right; margin: 0 auto 0 0; } 
.time__news p { font-family: var(--font-bold); font-size: 30px; color: #DA2128; margin-bottom: -15px !important; } 
.time__news span { font-family: var(--font-medium); font-size: 12px; color: #fff; } 
.owl-news .owl-stage-outer { height: 115vh; display: flex; flex-direction: column; justify-content: center; } 
.items__news { position: relative; } 
.items__news::after { position: absolute; content: ""; width: 0.5px; height: 300%; background: #fff; left: 0; top: -100%; opacity: 0.3; } 
.main__news .title-main { position: relative; top: 205px; left: 35px; } 



/* SLIDE 5 */
.section__contact .wrap-content { width: 1330px; } 
.main__contact { max-width: 730px; margin: 0 auto 0 120px; } 
.title__contact { width: 290px; color: #FFF; font-family: var(--font-medium); font-size: 70px; line-height: normal; letter-spacing: -1.4px; text-transform: uppercase; } 
.info__contact { width: calc(100% - 330px); text-align: left; } 
.name__contact { font-family: var(--font-bold); font-size: 27px; color: #fff; line-height: 40px; text-transform: uppercase; margin-bottom: 10px; } 

/* FIXED */
.footer__fixed .wrap-content { display: flex; justify-content: space-between; align-items: center; position: fixed; left: 0; right: 0; bottom: 0; margin: 0 15px; z-index: 9; height: 40px;} 
.footer__fixed  {  position: fixed; left: 0; right: 0; bottom: 0;  z-index: 9; height: 40px;} 
.footer__copyright { font-family: var(--font-light); font-size: 10px; color: #fff; } 
.scroll__down { font-family: var(--font-bold); font-size: 12px; color: #fff; text-transform: uppercase; } 
.social__footer li a { height: 18px; } 
.social__footer { margin-top: -5px; } 
.social__footer li { margin-left: 20px; } 
.footer__fixed .col__left { width: 410px; justify-content: space-between; } 


/* FORM */
.main__form { margin-top: 55px; } 
.title__form { font-family: var(--font-bold); font-size: 27px; line-height: 40x; text-transform: uppercase; color: var(--color-white); margin-bottom: 15px; } 
.newsletter__input input::placeholder { color: #fff !important; font-family: var(--font-regular); font-size: 12px; } 
.newsletter__input { position: relative; width: calc(100% - 90px); } 
.newsletter__input input { padding: 0.35rem 15px; height: 52px; font-size: 14px; color: #fff; background: linear-gradient(124deg, rgba(255, 255, 255, 0.40) 11.74%, rgba(255, 255, 255, 0.10) 87.03%); box-shadow: 0px 45.024px 72.36px -1.608px rgba(0, 0, 0, 0.05); backdrop-filter: blur(32.15999984741211px); border-radius: 0; border: 1px solid #000; } 
.col__input { margin-bottom: 10px; } 
.col__content { padding: 0 5px !important; } 
.col__content textarea { padding: 0.35rem 15px; height: 90px; background: none; border-radius: 0; border: 1px solid #000; } 
.newsletter__button { border-radius: 0px 30px 30px 0px; background: #DA2128; border: none !important; width: 90px; height: 52px; line-height: 52px; } 
.newsletter__button input[type="submit"] { color: var(--color-white) !important; font-family: var(--font-bold); font-size: 16px; background: none; border: none; border-color: unset; } 
.newsletter__button:hover { background: var(--color-main); } 
.newsletter__button:hover input[type="submit"] { color: #fff !important; } 
.col__submit { margin: auto; text-align: center; } 
.newsletter__input input:focus { border-color: unset !important; outline: 0; box-shadow:none !important; } 
.newsletter__input .invalid-feedback { position: absolute; left: 0; bottom: 0; padding: 10px 0 0 15px; font-size: 10px; } 



/* CSS CUSTOM */
::-webkit-scrollbar { width: 0; } 
::-webkit-scrollbar-track { background: #ccc; } 
::-webkit-scrollbar-thumb { background: var(--color-main); } 
::-webkit-scrollbar-thumb:hover { background: var(--color-hover); } 
.product .i_left { position: absolute; height: 0; border-radius: 0 50px; width: 2px; left: 0; top: 0; background: -webkit-linear-gradient(bottom, red, orange, yellow, green, blue, indigo, violet); background: -o-linear-gradient(bottom, red, orange, yellow, green, blue, indigo, violet); background: -webkit-gradient(linear, left bottom, left top, from(red), color-stop(orange), color-stop(yellow), color-stop(green), color-stop(blue), color-stop(indigo), to(violet)); background: linear-gradient(to top, red, orange, yellow, green, blue, indigo, violet); -webkit-transition: all 0.5s ease; -o-transition: all 0.5s ease; transition: all 0.5s ease } 
.product .i_right { position: absolute; height: 0; width: 2px; right: 0; bottom: 0; background: -webkit-linear-gradient(top, red, orange, yellow, green, blue, indigo, violet); background: -o-linear-gradient(top, red, orange, yellow, green, blue, indigo, violet); background: -webkit-gradient(linear, left top, left bottom, from(red), color-stop(orange), color-stop(yellow), color-stop(green), color-stop(blue), color-stop(indigo), to(violet)); background: linear-gradient(to bottom, red, orange, yellow, green, blue, indigo, violet); -webkit-transition: all 0.5s ease; -o-transition: all 0.5s ease; transition: all 0.5s ease } 
.product .i_top { position: absolute; height: 2px; width: 0; right: 0; top: 0; background: -webkit-linear-gradient(left, red, orange, yellow, green, blue, indigo, violet); background: -o-linear-gradient(left, red, orange, yellow, green, blue, indigo, violet); background: -webkit-gradient(linear, left top, right top, from(red), color-stop(orange), color-stop(yellow), color-stop(green), color-stop(blue), color-stop(indigo), to(violet)); background: linear-gradient(to right, red, orange, yellow, green, blue, indigo, violet); -webkit-transition: all 0.5s ease; -o-transition: all 0.5s ease; transition: all 0.5s ease } 
.product .i_bottom { position: absolute; height: 2px; width: 0; left: 0; bottom: 0; background: -webkit-linear-gradient(right, red, orange, yellow, green, blue, indigo, violet); background: -o-linear-gradient(right, red, orange, yellow, green, blue, indigo, violet); background: -webkit-gradient(linear, right top, left top, from(red), color-stop(orange), color-stop(yellow), color-stop(green), color-stop(blue), color-stop(indigo), to(violet)); background: linear-gradient(to left, red, orange, yellow, green, blue, indigo, violet); -webkit-transition: all 0.5s ease; -o-transition: all 0.5s ease; transition: all 0.5s ease } 
.product:hover .i_left { height: 100%; bottom: 0; top: inherit } 
.product:hover .i_top { width: 100%; left: 0 } 
.product:hover .i_right { height: 100%; top: 0; bottom: inherit } 
.product:hover .i_bottom { width: 100%; right: 0; left: inherit } 
.color__hover:hover { color: var(--color-hover) !important; } 